=== debian/changelog ===
dcmtk (3.6.6-5) unstable; urgency=medium

  * d/rules: Re-exposed --interleave-none option. Closes: #1001703
  * d/rules: Start using c++17 since default for GCC-11

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Jan 2022 16:33:20 +0100

dcmtk (3.6.6-4) unstable; urgency=medium

  * d/u/metadata: Add publication about DCMTK
  * d/patches: Add new patch to fix random unit test failures
  * d/control: Bump Std-Vers to 4.6.0, no changes needed
  * d/watch: Update to latest uscan version
  * d/rules: Remove as-needed-linker-flag
  * d/control: Add missing Rules-Requires-Root: no
  * d/patches: Import bug-fixes from git/master

 -- Mathieu Malaterre <malat@debian.org>  Wed, 08 Dec 2021 10:27:21 +0100

dcmtk (3.6.6-3) unstable; urgency=medium

  * d/patches: Fix compilation of dicomscope. Closes: #1000220
  * d/control: Add myself as Uploader

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Nov 2021 08:15:20 +0100

dcmtk (3.6.6-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Fix unit test suite on big endian machine

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Nov 2021 08:44:13 +0100

dcmtk (3.6.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Remove patches thanks to a hint by Jörg Riesmeier (see #981326)
  * Rename debian/.gitlab-ci.yml to debian/salsa-ci.yml to use a unique
    name in all Debian Med packages

  [ Mathieu Malaterre ]
  * d/rules: Set ICONV to OFF
  * d/rules: Remove bogus setting of c++11 in d/rules
  * d/rules: Prefer stdlibc (iconv) setting over ICU. Closes: #988417
  * d/rules: Prefer STL over DCMTK convenient copy
  * d/rules: DCMTK_ENABLE_CHARSET_CONVERSION is an internal variable
  * d/patches: Properly install dcm2xml.dtd/dumppat.txt. Closes: #993025

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Nov 2021 11:07:39 +0100

dcmtk (3.6.6-1~ext1) experimental; urgency=medium

  * d/ci: delete some generated files
  * New upstream version 3.6.6
  * d/: Update so-version
  * d/copyright: Add new files with specific copyright

 -- Gert Wollny <gewo@debian.org>  Sun, 11 Apr 2021 17:24:39 +0200
